Subject: bug#56530: 29.0.50; mouse-2 cut selected text when cua-mode is enabled

From: Visuwesh <[email-masked]>
Date: Wed, 13 Jul 2022 17:05:24 +0530

[Wednesday July 13, 2022] Stefan Kangas wrote:

> Visuwesh <[email-masked]> writes:
>
>> AFAICT, the recipe produces what I had in my mind when I proposed.  The
>> behaviour might seems slightly odd since mouse-yank-at-point is set to
>> nil in OP's case.  It shouldn't be hard to take this defcustom into
>> account tho.
>
> I think that neither Emacs nor `cua-mode' should behave differently from
> other X programs in this regard, certainly not by default.  Could we
> please avoid that?  The entire point of `cua-mode' is to be /more/ like
> other software, not less.

Like I said in the original bug report, I have no problems if the change
was reverted.  I would do it myself but I have no push access.